Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.util.tokenstream
Class HtmlCommentToken

    java.lang.Object
      scone.util.tokenstream.HtmlCommentToken

All Implemented Interfaces:
  Token

    public class HtmlCommentToken

extends java.lang.Object
implements Token

an HTML comment.

Author:
  Harald Weinreich, Volkert Buchmann

Field Summary
`static java.lang.String` | `COPYRIGHT`
`protected java.lang.String` | `text` the text
`protected java.lang.String` | `whiteSpaces` preceding whitespaces

Constructor Summary
`HtmlCommentToken(java.lang.String text, java.lang.StringBuffer whiteSpaces)` creates a `HtmlCommentToken`

Method Summary
`Token` | `getClone()` returns a clone of this token
`java.lang.String` | `getComment()` returns the text of the comment
`java.lang.String` | `toString()` returns a String representation of this Token.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### COPYRIGHT

    public static final java.lang.String COPYRIGHT

See Also:
  Constant Field Values

### whiteSpaces

    protected java.lang.String whiteSpaces

  preceding whitespaces

### text

    protected java.lang.String text

  the text

Constructor Detail

### HtmlCommentToken

    public HtmlCommentToken(java.lang.String text,
                            java.lang.StringBuffer whiteSpaces)

  creates a `HtmlCommentToken`

  Parameters:
    `text` - the text

Method Detail

### getClone

    public Token getClone()

  returns a clone of this token

  Specified by:
    `getClone` in interface `Token`
  Returns:
    the clone

### getComment

    public java.lang.String getComment()

  returns the text of the comment

  Returns:
    the text of the comment

### toString

    public java.lang.String toString()

  returns a String representation of this Token.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    whiteSpaces+comment as a tag

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD